Bug 660274 - [RFE] qpid-winsdk C# / .NET API documentation needed
Summary: [RFE] qpid-winsdk C# / .NET API documentation needed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution
Version: Development
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: 1.3.1
: ---
Assignee: mrg-program-list
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 10:31 UTC by Frantisek Reznicek
Modified: 2015-11-16 01:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-16 20:07:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Frantisek Reznicek 2010-12-06 10:31:41 UTC
Description of problem:

The qpid-winsdk package contains the qpid messaging API documentation for C++ only, but now also C# is supported. 

There are cases when both (C++ and C#) APIs are not completely aligned down to the details (which is somehow understandable), but customer should know the differences.

Currently assigned for 1.3.1, feel free to push to later release.

One case for example:

// C++
bool durability;
Message m;
m.setDurable(durability);


// C#
bool durability;
m = new Message (...);
m.Durable = durability;


A qpid-winsdk user can currently use VStudio Object Browser and see the objects and their interfaces, but it is needed to have either separate API documentation for C# users or at least document which maps the c++ to c# messaging API usage.


Version-Release number of selected component (if applicable):
qpid-cpp-winsdk-1.3.0.24-*.zip

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
No specific C# API documentation or at least mapping c++ <-> c# which highlights the differences.

Expected results:
Specific C# API documentation or at least mapping c++ <-> c# which highlights the differences.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.